org.apache.felix.gogo.shell

## Class Builtin

- java.lang.Object
- - org.apache.felix.gogo.shell.Builtin

    public class Builtin
    extends Object

gosh built-in commands.

### Constructor Summary

Constructors
Constructor and Description
`Builtin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `_new(org.apache.felix.service.command.CommandSession session, Object name, Object[] argv)`
`CharSequence` `format(org.apache.felix.service.command.CommandSession session)`
`CharSequence` `format(org.apache.felix.service.command.CommandSession session, Object arg)`
`Option` `getopt(List<Object> spec, Object[] args)` script access to Options.
`void` `set(org.apache.felix.service.command.CommandSession session, String[] argv)`
`Object` `tac(org.apache.felix.service.command.CommandSession session, String[] argv)`
`boolean` `type(org.apache.felix.service.command.CommandSession session, String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builtin

    public Builtin()

### Method Detail

#### format

    public CharSequence format(org.apache.felix.service.command.CommandSession session)

#### format

    public CharSequence format(org.apache.felix.service.command.CommandSession session,
                               Object arg)

#### getopt

    public Option getopt(List<Object> spec,
                         Object[] args)

script access to Options.

Parameters:
  `spec` - the spec
  `args` - the args
Returns:
  Option

#### _new

    public Object _new(org.apache.felix.service.command.CommandSession session,
                       Object name,
                       Object[] argv)
                throws Exception

Throws:
  `Exception`

#### set

    public void set(org.apache.felix.service.command.CommandSession session,
                    String[] argv)

#### tac

    public Object tac(org.apache.felix.service.command.CommandSession session,
                      String[] argv)
               throws IOException

Throws:
  `IOException`

#### type

    public boolean type(org.apache.felix.service.command.CommandSession session,
                        String[] argv)
                 throws Exception

Throws:
  `Exception`